<?php
require_once ("../../config/Cado.php");
require_once("../producto/cProductomarca.php");
$oProductomarca = new cProductomarca();
require_once ("../formatos/formato.php");
$fecven = date('d-m-Y');
if($_POST['action']=="editar_productomarca")
{
	// echo '--'.$_POST['pro_marid'];
	
	$dts = $oProductomarca -> mostrar_uno_marca_producto($_POST['pro_marid']);
	$dt = mysqli_fetch_array($dts);
	
	$mar = $dt['tb_marca_nom'];
	$precos = $dt['tb_productomarca_precos'];
	$preven = $dt['tb_productomarca_preven'];
	$codbar = $dt['tb_productomarca_codbar'];
	$fecven = $dt['tb_productomarca_fecven'];
	
}
?>
					<input name="action" id="action" type="hidden" value="<?php echo $_POST['action']?>">
					<input name="hdd_cat_id" id="hdd_cat_id" type="hidden" value="<?php echo $_POST['cat_id']?>">
					<input name="hdd_cate_id" id="hdd_cate_id" type="hidden" value="<?php echo $_POST['cate_id']?>">
					<input name="hdd_pro_id" id="hdd_pro_id" type="hidden" value="<?php echo $_POST['pro_id']?>">
					<input name="hdd_promar_id" id="hdd_promar_id" type="hidden" value="<?php echo $_POST['pro_marid']?>">
					<div class="box-header">
						<h3 class="box-title">Registro de laboratorios</h3>
					</div>
					<div class="box-body">
						<div class="form-group">
							<div class="row">
							
						<div class="col-lg-3 col-sm-12 col-xs-12" >
							<label for="txt_pro_mar_edit">Laboratorio:</label>
							<input type="text" name="txt_pro_mar_edit" id="txt_pro_mar_edit" value="<?php echo $mar; ?>" class="form-control input-sm" <?php if($_POST['action']=="editar_productomarca") echo 'readonly'; ?>  > 			
							<input type="hidden" name="hdd_pro_marid_edit" id="hdd_pro_marid_edit" value=""> 					 	
						</div> 	
							
						
						<div class="col-lg-2 col-sm-12 col-xs-12" >
							<label for="txt_pro_mar_codbar">COD BAR:</label>
							<input type="text" name="txt_pro_mar_codbar" autocomplete="off" id="txt_pro_mar_codbar" value="<?php echo $codbar; ?>" class="form-control input-sm" > 								 	
						</div> 	
		
				<div class=" col-lg-3 col-xs-6 form-group">
                  <label>Fecha Ven.:</label>
                  <div class="input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text"><i class="far fa-calendar-alt"></i></span>
                    </div>
                    <input name="txt_pro_mar_fec" type="text" id="txt_pro_mar_fec"  class="form-control" value="<?php echo fecha_mysql($fecven);?>"
					data-inputmask-alias="datetime" data-inputmask-inputformat="dd/mm/yyyy" data-mask>
                  </div>
                </div>
						
						
						
						<div class="col-lg-2 col-sm-12 col-xs-12" >
							<label for="txt_pro_mar_precos">P. Costo:</label>
							<input type="text" name="txt_pro_mar_precos" id="txt_pro_mar_precos" value="<?php echo formato_money($precos); ?>" class="form-control input-sm" > 								 	
						</div> 	
						
						<div class="col-lg-2 col-sm-12 col-xs-12" >
							<label for="txt_pro_mar_preven">P. Venta:</label>
							<input type="text" name="txt_pro_mar_preven" id="txt_pro_mar_preven" value="<?php echo formato_money($preven); ?>" class="form-control input-sm" > 								 	
						</div> 	
						
							
						</div>
					</div>
					</div>
			
				<div class="box-footer float-right">
					 <button type="button" class="btn btn-success btn_agregarmarca">Guardar</button>
					 <button type="button" data-dismiss="modal" class="btn btn-default cancel">Cancelar</button>
				
				</div>
			
<script type="text/javascript">
  //$('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' });
   //$('[data-mask]').inputmask();
$( "#txt_pro_mar_edit").autocomplete({
			minLength: 1,
			source: "../marca/marca_complete_nom.php",
			select: function(event, ui){	
			$("#hdd_pro_marid_edit").val(ui.item.id);							
			$("#txt_pro_mar_precos").focus();							
			
			//	verificar_duplicidad_compra()		
		}
	});
	
	
$("#txt_pro_mar_edit").keydown(function(e){
		if (e.keyCode == 13){ 
			
			return false;
		}
	});
	
	
	$("#txt_pro_mar_codbar").change(function(){
			if($("#txt_pro_mar_codbar").val()!="")verificar_codbar($("#txt_pro_mar_codbar").val());
			return false;
	});
	
$(".btn_agregarmarca").click(function(){
	agregar_marca_editar($("#action").val(),$("#hdd_pro_marid_edit").val(),$("#hdd_cat_id").val(),$("#txt_pro_mar_precos").val(),$("#txt_pro_mar_preven").val(),$("#txt_pro_mar_codbar").val());	
});	
	
	/* $('#txt_pro_mar_fec').datepicker({
			format: 'yyyy-mm-dd',
			autoclose:true
		}).on('changeDate', function(e){
			
		}); 
	 */
	
		$('#txt_pro_mar_edit').keydown(function(ev) {
			if(ev.keyCode==13){ return false;}
		});
		
		$('#txt_pro_mar_codbar').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_fec').focus(); return false;}
		});
		$('#txt_pro_mar_fec').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_precos').focus(); return false;}
		});
		
		$('#txt_pro_mar_precos').keydown(function(ev) {
			if(ev.keyCode==13){$('#txt_pro_mar_preven').focus(); return false;}
		});
	
	$('#txt_pro_mar_preven').keydown(function(ev) {
			if(ev.keyCode==13){$('.btn_agregarmarca').focus(); return false;}
		});
		
function agregar_marca_editar(act,idmar,idcat,precos,preven,codbar)
{
	$.ajax({
		type: "POST",
		url: "../producto/producto_reg.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			mar_id: idmar ,
			cat_id :$("#hdd_cat_id").val(),
			cate_id :$("#hdd_cate_id").val(),
			pro_id :$("#hdd_pro_id").val(),
			promar_id :$("#hdd_promar_id").val(),
			pro_fecven :$("#txt_pro_mar_fec").val(),
			pro_precos :precos,
			pro_preven :preven,
			codbar:codbar
			}),
		beforeSend: function() {
		},
		success: function(data){
			toastr["success"](data.msj);
		},
		complete: function(data)
		{
			$("#txt_pro_mar_edit").val('');
			$("#txt_pro_mar_preven").val('');
			$("#txt_pro_mar_precos").val('');
			$("#txt_pro_mar_codbar").val('');
			$("#txt_pro_mar_edit").focus();
			
			<?php if($_POST['action']=="editar_productomarca") {
			?>	
			$('#div_marca_form_dialog').modal('hide');
			<?php 
			} 
			?>
			
			
			productomarcacodigo_tabla(idcat);
			cmb_mar_id(idcat);			
		}
	});  
}
	
	
	function verificar_codbar(cod_bar){
		$.ajax({
			type : "POST",
			url : "../producto/producto_reg.php",
			async : false,
			dataType : "json",
			data: ({
				action:'verificar_codbar',
				codbar: cod_bar,
				promar_id: $('#hdd_promar_id').val()
			}),
			beforeSend: function(){
				toastr["warning"]('Verificando Existencia de Código de Barras...');
			},
			success: function(data){
				if(data.pro_est==1)
				{
					$('#txt_pro_mar_codbar').val('');
					toastr["error"](data.pro_msj);
				}
				else
				{					
					toastr["success"](data.pro_msj);
					$("#txt_pro_mar_precos").focus(); 
				}
			}
		});
	}
	
	
	
	
</script>